apiVersion: apps/v1
kind: Deployment
metadata:
  name: otus-ma-lesson-6-deployment
  labels:
    app: otus-ma-lesson-6
spec:
  replicas: 2
  selector:
    matchLabels:
      app: otus-ma-lesson-6
  template:
    metadata:
      labels:
        app: otus-ma-lesson-6
    spec:
      containers:
        - name: otus-ma-lesson-6
          image: kvmayer/otus-ma-lesson-6:0.1.3
          ports:
            - containerPort: 8080
          imagePullPolicy: IfNotPresent
          env:
            - name: DB_DSN
              valueFrom:
                secretKeyRef:
                  key: dbDsn
                  name: otus-ma-lesson-6-secret
            - name: ADDR
              valueFrom:
                configMapKeyRef:
                  key: httpAddr
                  name: otus-ma-lesson-6-configmap
          command:
            - /app/server
            - -web
          livenessProbe:
            httpGet:
              port: 8080
              path: /health
            initialDelaySeconds: 10
            periodSeconds: 5
            timeoutSeconds: 2
          readinessProbe:
            httpGet:
              port: 8080
              path: /health
            initialDelaySeconds: 10
            periodSeconds: 5
